Package csb :: Package bio :: Package fragments

[frames] | no frames]

# Package fragments

source code

APIs for working with protein structure fragments and libraries.

This package contains the nuts and bolts of HHfrag. Everything here revolves around the Target class, which describes a protein structure prediction target. One typically assigns fragments (Assignments) to the target and then builds a fragment library with RosettaFragsetFactory.

Submodules

- csb.bio.fragments.rosetta: Rosetta fragment libraries.

Classes
| Assignment Represents a match between a fragment and its target.
| AssignmentFactory
| BenchmarkAdapter
| ChemShiftAssignment
| ChemShiftAssignmentFactory
| ChemShiftTarget
| ChemShiftTargetResidue
| ClusterDivergingError
| ClusterEmptyError
| ClusterExhaustedError
| ClusterNode Cluster node.
| ClusterRep Cluster's representative (centroid) node.
| FragmentCluster Provides clustering/filtering of the fragments, covering a common residue in the target.
| FragmentMatch Base class, representing a match between a fragment and its target.
| FragmentTypes
| Metrics
| ResidueAssignmentInfo
| ResidueEventInfo
| RosettaFragsetFactory Simplifies the construction of fragment libraries.
| Target Represents a protein structure prediction target.
| TargetResidue Wrapper around Target's native residues.
| TorsionAnglePredictor Fragment-based phi/psi angles predictor.
| TorsionPredictionInfo Struct container for a single torsion angle prediction.

Variables
| RANDOM_RMSD = ``{`5`:` 1.87490058573`,` 6`:` 2.43142836863`,` 7`:` 2.902113`...``
| __package__ = ``'``csb.bio.fragments``'``

Variables Details

### RANDOM_RMSD

Value:

      {5: 1.87490058573,
       6: 2.43142836863,
       7: 2.90211352678,
       8: 3.24777162002,
       9: 3.5469606556,
       10: 3.82954655245,
       11: 4.13431071141,
       12: 4.37616979291,
      ...